Package twisted :: Package test :: Module test_enterprise |
[frames | no frames]

## Module twisted.test.test_enterprise

Tests for twisted.enterprise.

Classes
`ChildRow` |
`GadflyTestCase` |
`MySQLTestCase` |
`NoSlashSQLReflector` |
`PostgresTestCase` |
`QuotingTestCase` |
`ReflectorTestCase` |
`SQLiteTestCase` |
`SQLReflectorTestCase` |
`TestRow` |
`XMLReflectorTestCase` |

Function Summary
| `randomizeRow(...)`
| `rowMatches(...)`

Variable Summary
`str` | `child_table_schema` = `'\nCREATE TABLE childTable (\n chi...`
`str` | `childTableName` = `'childTable'`
`str` | `main_table_schema` = `'\nCREATE TABLE testTable (\n key_s...`
`str` | `simple_table_schema` = `'\nCREATE TABLE simple (\n x inte...`
`str` | `tableName` = `'testTable'`

Variable Details

    ### child_table_schema Type: `str` Value:
        '''
        CREATE TABLE childTable (
          childId        integer,
          foo            varchar(64),
          test_key       varchar(64),
          stuff          varchar(64),
          gogogo         integer,
          data           varchar(64)
        ...

    ### childTableName Type: `str` Value:
        'childTable'

    ### main_table_schema Type: `str` Value:
        '''
        CREATE TABLE testTable (
          key_string     varchar(64),
          col2           integer,
          another_column varchar(64),
          Column4        varchar(64),
          column_5_      integer
        )
        ...

    ### simple_table_schema Type: `str` Value:
        '''
        CREATE TABLE simple (
          x integer
        )
        '''

    ### tableName Type: `str` Value:
        'testTable'

Generated by Epydoc 2.0 on Sat Oct 25 00:54:47 2003 | http://epydoc.sf.net